Index: apps/app_voicemail.c
===================================================================
--- apps/app_voicemail.c	(revision 26249)
+++ apps/app_voicemail.c	(working copy)
@@ -2607,7 +2607,7 @@
 				
 			/* Store information */
 			snprintf(txtfile, sizeof(txtfile), "%s.txt", fn);
-			snprintf(tmptxtfile, sizeof(tmptxtfile), "%s.txt.tmp", fn);
+			snprintf(tmptxtfile, sizeof(tmptxtfile), "%s.tmp.txt", fn);
 			txt = fopen(tmptxtfile, "w+");
 			if (txt) {
 				get_date(date, sizeof(date));
@@ -2709,13 +2709,15 @@
 	int x,dest;
 	char sfn[256];
 	char dfn[256];
+	char sfntmp[256];
 
 	if (vm_lock_path(dir))
 		return ERROR_LOCK_PATH;
 
 	for (x = 0, dest = 0; x < vmu->maxmsg; x++) {
 		make_file(sfn, sizeof(sfn), dir, x);
-		if (EXISTS(dir, x, sfn, NULL)) {
+		snprintf(sfntmp, sizeof(sfntmp), "%s.tmp", sfn);	
+		if (EXISTS(dir, x, sfn, NULL) || EXISTS(dir, x, sfntmp, NULL)) {
 			
 			if(x != dest) {
 				make_file(dfn, sizeof(dfn), dir, dest);
